Alaska Software Inc. - Preprocessor API and 2.0
Alaska Software Inc. - Preprocessor API and 2.0
Username: Password:
AuthorTopic: Preprocessor API and 2.0
Claudio Driussi Preprocessor API and 2.0
on Thu, 14 Jun 2018 20:23:29 +0200
I used the PPP API with Xbase++ 1.9 and
now I will migrate to Xbase++ 2.0 (ASAP)

My question is, can I use same DLL's and
libs for both versions or there are a special
version for 2.0?

Many thanks.
Claudio
Peter AlderliestenRe: Preprocessor API and 2.0
on Mon, 18 Jun 2018 13:49:07 +0200
Claudio,

> I used the PPP API with Xbase++ 1.9 and
> now I will migrate to Xbase++ 2.0 (ASAP)
> 
> My question is, can I use same DLL's and
> libs for both versions or there are a special
> version for 2.0?

Depends. You will have to recompile all your Xbase++ stuff and ask for
updates on all your Xbase++ 3P libraries (Xb2NET, Expres++ etc.).
All other DLL's should work as before.

Peter
Claudio Driussi Re: Preprocessor API and 2.0
on Tue, 19 Jun 2018 12:36:52 +0200
On 18/06/2018 13:49, Peter Alderliesten wrote:

>> I used the PPP API with Xbase++ 1.9 and
>> now I will migrate to Xbase++ 2.0 (ASAP)
>>
>> My question is, can I use same DLL's and
>> libs for both versions or there are a special
>> version for 2.0?
> 
> Depends. You will have to recompile all your Xbase++ stuff and ask for
> updates on all your Xbase++ 3P libraries (Xb2NET, Expres++ etc.).

Yes, I know, and I haven't 3P libraries, only XPP and some of mine.

> All other DLL's should work as before.

I hope PPP works too.

Claudio

> 
> Peter
>
Peter AlderliestenRe: Preprocessor API and 2.0
on Tue, 19 Jun 2018 14:15:26 +0200
Claudio,

>>> I used the PPP API with Xbase++ 1.9 and
>>> now I will migrate to Xbase++ 2.0 (ASAP)
>>>
>>> My question is, can I use same DLL's and
>>> libs for both versions or there are a special
>>> version for 2.0?
>> 
>> Depends. You will have to recompile all your Xbase++ stuff and ask for
>> updates on all your Xbase++ 3P libraries (Xb2NET, Expres++ etc.).
> 
> Yes, I know, and I haven't 3P libraries, only XPP and some of mine.
> 
>> All other DLL's should work as before.
> 
> I hope PPP works too.

Alaka has always been a stickler for backwards compatibility, so I expect
the preprocessor to handle your scripts the same as with version 1.9

Peter